curl -X GET "https://api.submagic.co/v1/iris/templates" \
-H "x-api-key: sk-your-api-key-here"
const listIrisTemplates = async () => {
const response = await fetch("https://api.submagic.co/v1/iris/templates", {
headers: {
"x-api-key": "sk-your-api-key-here",
},
});
return response.json();
};
const { templates } = await listIrisTemplates();
import requests
def list_iris_templates():
url = 'https://api.submagic.co/v1/iris/templates'
headers = {
'x-api-key': 'sk-your-api-key-here'
}
response = requests.get(url, headers=headers)
return response.json()
templates = list_iris_templates()['templates']
{
"templates": [
{
"id": "ref:paprika-ref",
"name": "Paprika",
"description": "A one-sentence summary of the template's style",
"previewUrl": "https://cdn.example.com/iris/paprika-ref/preview.mp4",
"imageUrl": "https://cdn.example.com/iris/paprika-ref/preview.jpg"
}
]
}
{
"error": "UNAUTHORIZED",
"message": "Invalid or missing API key"
}
API Reference
Iris Templates
List the Iris templates (editing styles) your account can use
GET
/
v1
/
iris
/
templates
curl -X GET "https://api.submagic.co/v1/iris/templates" \
-H "x-api-key: sk-your-api-key-here"
const listIrisTemplates = async () => {
const response = await fetch("https://api.submagic.co/v1/iris/templates", {
headers: {
"x-api-key": "sk-your-api-key-here",
},
});
return response.json();
};
const { templates } = await listIrisTemplates();
import requests
def list_iris_templates():
url = 'https://api.submagic.co/v1/iris/templates'
headers = {
'x-api-key': 'sk-your-api-key-here'
}
response = requests.get(url, headers=headers)
return response.json()
templates = list_iris_templates()['templates']
{
"templates": [
{
"id": "ref:paprika-ref",
"name": "Paprika",
"description": "A one-sentence summary of the template's style",
"previewUrl": "https://cdn.example.com/iris/paprika-ref/preview.mp4",
"imageUrl": "https://cdn.example.com/iris/paprika-ref/preview.jpg"
}
]
}
{
"error": "UNAUTHORIZED",
"message": "Invalid or missing API key"
}
Iris Templates
Iris is Submagic’s editing assistant. She edits a talking video of up to 3 minutes in one of her templates (cuts, captions, b-roll from stock, music, sound effects, graphics), then changes it when you ask in plain words. This endpoint lists the Iris templates your account can pick: ours, and any you or your team made in Submagic. Pass a template’sid as template to Create Iris Project.
This endpoint requires authentication and has a rate limit of 1000 requests
per hour. It does not use API credits.
Authentication
Response
The Iris templates your account can use
curl -X GET "https://api.submagic.co/v1/iris/templates" \
-H "x-api-key: sk-your-api-key-here"
const listIrisTemplates = async () => {
const response = await fetch("https://api.submagic.co/v1/iris/templates", {
headers: {
"x-api-key": "sk-your-api-key-here",
},
});
return response.json();
};
const { templates } = await listIrisTemplates();
import requests
def list_iris_templates():
url = 'https://api.submagic.co/v1/iris/templates'
headers = {
'x-api-key': 'sk-your-api-key-here'
}
response = requests.get(url, headers=headers)
return response.json()
templates = list_iris_templates()['templates']
{
"templates": [
{
"id": "ref:paprika-ref",
"name": "Paprika",
"description": "A one-sentence summary of the template's style",
"previewUrl": "https://cdn.example.com/iris/paprika-ref/preview.mp4",
"imageUrl": "https://cdn.example.com/iris/paprika-ref/preview.jpg"
}
]
}
{
"error": "UNAUTHORIZED",
"message": "Invalid or missing API key"
}

